Download it now!
Bug 59585 - EDITING: Enhancement request: Create merged cells by dragging the handle
Summary: EDITING: Enhancement request: Create merged cells by dragging the handle
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 79042 85322 86908 119817 (view as bug list)
Depends on:
Blocks: 40993 Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2013-01-19 13:46 UTC by webofht-libreofficebugs002
Modified: 2018-12-24 17:29 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description webofht-libreofficebugs002 2013-01-19 13:46:42 UTC
Problem description: According to LibreOffice Version 3.4 Calc Guide , "a shortcut way to fill cells is to grab the “handle” in the lower right-hand corner of the cell". Actually, it is not possible to copy a merged cell in Calc and paste the merged cell by dragging the handle, and to create another merged cell at the same time. 

Steps to reproduce:
1. The operating system used is Linux debian 2.6.32-5-686 #1 SMP Sun Sep 23 09:49:36 UTC 2012 i686 GNU/Linux.
2. The LibreOffice versions involved are:
- LibreOffice Version 3.6.4.3 (Build ID: 2ef5aff) (LO3.6.4.3)
- LibreOffice Version 4.0.0.1 (Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799) (LO4.0.0.1)
3. File -> New -> Spreadsheet
4. Select A1:B1 -> Format -> Merge Cells -> Merge Cells
5. Type the letter a in A1:B1. -> Enter
6. Select A1:B1. 
7. Drag the handle to the right to copy and paste the content.
8. C1:D1 is not a merged cell.
9. The letter a in A1:B1 appears separately in C1 and D1.
10. Select A1:B1.
11. Drag the handle downwards to copy and paste the content.
12. A2:B2 is not a merged cell.
13. The letter a in A1:B1 appears separately in A2 and A3.

Current behavior: Users cannot create another merged cell by dragging the handle of an existing merged cell.

Expected behavior: Users can create another merged cell by dragging the handle of an existing merged cell.

Regards,
C. H. D.
Operating System: Debian
Version: 4.0.0.1 rc
Comment 1 m.a.riosv 2013-01-19 22:21:49 UTC Comment hidden (obsolete)
Comment 2 Joel Madero 2013-01-20 00:01:48 UTC
Confirmed. 

Marking as:
New (confirmed)
Enhancement
High (merged cells pretty common, copying these should work as expected which is to carry the merge with the copy/paste and/or drag - copy/paste works as expect, dragging does not)
Comment 3 m.a.riosv 2014-05-22 21:23:15 UTC
*** Bug 79042 has been marked as a duplicate of this bug. ***
Comment 4 kloud 2014-06-22 09:13:52 UTC
A decision has to be made, whether formatting should be carried over or not. Ideally, the user should be able to chose. If that was implemented, Bug 40993 would be resolved, too.
Comment 5 m.a.riosv 2014-12-01 23:42:00 UTC
*** Bug 86908 has been marked as a duplicate of this bug. ***
Comment 6 Marina Latini (CIB) 2015-04-13 14:27:38 UTC
JFYI:

I tested the behaviour of MS Office 365 and with Excel you can drag merged cells as specified in the "Expected behavior" of the Description.

Tested with Office 365:
* Version: 15.0.4701.1002
* Locale: it_IT
* OS: Windows 7 Home Premium SP1 x86
Comment 7 Joel Madero 2016-02-26 19:34:44 UTC Comment hidden (no-value)
Comment 8 m.a.riosv 2018-09-12 12:02:44 UTC
*** Bug 119817 has been marked as a duplicate of this bug. ***
Comment 9 Timur 2018-12-24 17:27:48 UTC
*** Bug 85322 has been marked as a duplicate of this bug. ***